Package org.eclipse.graphiti.ui.internal.editor

## Class DomainModelWorkspaceSynchronizerDelegate

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.editor.DomainModelWorkspaceSynchronizerDelegate

All Implemented Interfaces:
  `org.eclipse.emf.workspace.util.WorkspaceSynchronizer.Delegate`

    public class DomainModelWorkspaceSynchronizerDelegate
    extends java.lang.Object
    implements org.eclipse.emf.workspace.util.WorkspaceSynchronizer.Delegate

Manages changes done to the resources tied to the diagram outside of the editor's TransactionalEditingDomain.

### Constructor Summary

Constructors
`DomainModelWorkspaceSynchronizerDelegate​(DiagramBehavior diagramBehavior)` The DiagramEditorBehavior reacts on a setResourceChanged(true) if he gets activated.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`boolean` `handleResourceChanged​(org.eclipse.emf.ecore.resource.Resource resource)`
`boolean` `handleResourceDeleted​(org.eclipse.emf.ecore.resource.Resource resource)`
`boolean` `handleResourceMoved​(org.eclipse.emf.ecore.resource.Resource resource, org.eclipse.emf.common.util.URI newURI)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DomainModelWorkspaceSynchronizerDelegate

    public DomainModelWorkspaceSynchronizerDelegate​(DiagramBehavior diagramBehavior)

The DiagramEditorBehavior reacts on a setResourceChanged(true) if he gets activated.

### Method Detail

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.emf.workspace.util.WorkspaceSynchronizer.Delegate`

#### handleResourceChanged

    public boolean handleResourceChanged​(org.eclipse.emf.ecore.resource.Resource resource)

Specified by:
  `handleResourceChanged` in interface `org.eclipse.emf.workspace.util.WorkspaceSynchronizer.Delegate`

#### handleResourceDeleted

    public boolean handleResourceDeleted​(org.eclipse.emf.ecore.resource.Resource resource)

Specified by:
  `handleResourceDeleted` in interface `org.eclipse.emf.workspace.util.WorkspaceSynchronizer.Delegate`

#### handleResourceMoved

    public boolean handleResourceMoved​(org.eclipse.emf.ecore.resource.Resource resource,
                                       org.eclipse.emf.common.util.URI newURI)

Specified by:
  `handleResourceMoved` in interface `org.eclipse.emf.workspace.util.WorkspaceSynchronizer.Delegate`